<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical">

    <TextView
        android:id="@+id/textViewResetPassword"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="@dimen/horizontalMargin"
        android:layout_marginTop="@dimen/verticalMargin"
        android:layout_marginEnd="@dimen/horizontalMargin"
        android:fontFamily="@font/cabin"
        android:text="@string/resetPasswordDescriptionText"
        android:textAlignment="center"
        android:textColor="@color/textColor2"
        android:textSize="24sp"
        android:textStyle="bold"
        app:layout_constraintBottom_toTopOf="@+id/buttonResetPassword"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <EditText
        android:id="@+id/editTextNewPassword"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="@dimen/horizontalMargin"
        android:layout_marginTop="24dp"
        android:layout_marginEnd="@dimen/horizontalMargin"
        android:autofillHints="AUTOFILL_HINT_PASSWORD"
        android:backgroundTint="@color/colorPrimary"
        android:ems="10"
        android:hint="@string/newPasswordButtonHint"
        android:inputType="textPassword"
        android:textColor="@color/textColor2"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/textViewResetPassword" />

    <EditText
        android:id="@+id/editTextConfirmPassword"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginTop="16dp"
        android:autofillHints="AUTOFILL_HINT_PASSWORD"
        android:backgroundTint="@color/colorPrimary"
        android:ems="10"
        android:hint="@string/confirmPasswordButtonHint"
        android:inputType="textPassword"
        android:textColor="@color/textColor2"
        app:layout_constraintEnd_toEndOf="@+id/editTextNewPassword"
        app:layout_constraintStart_toStartOf="@+id/editTextNewPassword"
        app:layout_constraintTop_toBottomOf="@+id/editTextNewPassword" />

    <Button
        android:id="@+id/buttonResetPassword"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="@dimen/horizontalMargin"
        android:layout_marginEnd="@dimen/horizontalMargin"
        android:layout_marginBottom="@dimen/verticalMargin"
        android:background="@drawable/button_background"
        android:fontFamily="sans-serif-black"
        android:text="@string/resetPasswordButtonText"
        android:textColor="@android:color/white"
        android:textSize="18sp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/textViewResetPassword" />
</androidx.constraintlayout.widget.ConstraintLayout>